<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
     function eventHandelrInfo(event, obj){
         //info about button object
         var btnId = obj.id;
         var btnName = obj.name;
         var bntValue = obj.value;
         document.write("button object info => "+btnId +" , "+btnName +" , "+bntValue);
         //info about onclick event.
         var xposition = event.clientX;
         var yposition = event.clientY;
         document.write("event info xposition,  yposition=> "+xposition +" , "+yposition);
     }

    </script>
    <dive>
        <button name="buttonName" id="bntId" value="buttonValue" onclick="eventHandelrInfo(event, this)">update</button>
    </dive>
</body>
</html>